Subject: Re: bug#77122: [PATCH] project--find-in-directory resolves symlinks

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Mar 2025 19:16:56 +0200

> From: Ship Mints <[email-masked]>
> Date: Wed, 19 Mar 2025 13:04:32 -0400
> 
> On Wed, Mar 19, 2025 at 12:57 PM Ship Mints <[email-masked]> wrote:
> 
>  This avoids duplicate projects accessed via symlinks that share resolved directory locations.  This has
>  bothered me for a while, so here we go.
> 
> FWIW, I consider this a bug and would like to see this in Emacs 30.2.

Let's first discuss how to fix the original problem.  If it turns out
that the best fix is what you proposed (and I explained why I'm not
sure it is), then it's unlikely to be in Emacs 30.2 because it changes
behavior as a side effect of the fix, and that change could cause more
serious problems.

Thanks.